<template>
  <div class="modal" v-if="visible">
    <div class="modal__mask"></div>
    <div class="modal__wrap">
      <span class="modal__close" @click="$emit('close')"></span>
      <div class="modal__container">
        <div class="modal__main" :style="{ width: '520px', ...modalStyle }">
          <div class="modal__header">
            <h3>{{title}}</h3>
          </div>
          <div class="modal__content">
            <slot name="content"></slot>
          </div>
          <div class="modal__bottom">
            <slot name="button"></slot>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Modal',
  props: {
    visible: {
      type: Boolean,
      default: false
    },
    title: {
      type: String,
      required: true
    },
    modalStyle: Object
  }
};
</script>

<style lang="scss">
@import './Modal.scss';
</style>